<?php

    //validamos si la session no ha sido declarada, para incicializarla

    if (session_status() === PHP_SESSION_NONE) {

      session_start();

    }

    if(empty($_SESSION['login_appquadrata'])){

        echo"<script language='javascript'>window.location='../../../login/'</script>;";

        exit();

    }



/*inicializamos valores para la configuracion del template*/

$setting_template='../../../settings_template.txt';

$variables=[];

$_Color='';

$_Template='';

$_Theme_Template='';

$_Css='';

$_Js='';

if (file_exists($setting_template)) {

    $lines = file($setting_template, FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);

    foreach ($lines as $line) {

        list($nombre_variable, $valor) = explode('=', $line);

        $variables[$nombre_variable] = $valor;

    }

    /*recogemos los valores de las variables*/

    if (isset($variables['Color'])) {

        $_Color = $variables['Color'];



        //echo "El color es: $_Color";

    }

    if (isset($variables['Template'])) {

        $_Template = $variables['Template'];

        //echo "El Template es: $_template";

    }

    if (isset($variables['Theme_Template'])) {

        $_Theme_Template = $variables['Theme_Template'];

        //echo "El Theme_Template es: $_Theme_Template";

    }

    if (isset($variables['css'])) {

        $_Css = $variables['css'];

        //echo "El css es: $_Css";

    }

    if (isset($variables['js'])) {

        $_Js = $variables['js'];

        //echo "El js es: $_Js";

    }



    if (isset($variables['Rows_Columns'])) {

        $_Rows_Columns = $variables['Rows_Columns'];

    }else{

        $_Rows_Columns=4;

    }

}

/*terminan valores de configuracion pára el template*/

?>

<html  style="background-color: rgb(241, 245, 249);"  lang="es" class="<?php if($_Color!=''){ echo 'theme-user'; }else{ echo $_Theme_Template; }?>">

<meta http-equiv='Content-Type' content='text/html; charset=ISO-8859-1'>

<meta name='description' content='Información sobre contenido de tu pagina'>

<meta name='keywords' content='aqui van los tags para ser encontrados por los boots de google ejemplo fibora,ti hyper solutions'>

<head>



<?php

    //Declaramos la variable time, para que al modificar un archivo, este no se guarde en cache y se vizualicen los cambios

    $time_log_assets=time();

    include('../../path.php');

    //require('../modelo/usuario.php');

    require(ROOT_CONTROLLER.'usuario.php');

    $Obj_usuario = new usuario();   

?>

    <!--<link href='https://netdna.bootstrapcdn.com/bootstrap/3.1.0/css/bootstrap.min.css' rel='stylesheet'> se comento esta linea porque altera el estilo del formulario-->

    <!-- Incluir SweetAlert2 CSS -->

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/sweetalert2@11/dist/sweetalert2.min.css">

    <script src='https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.js'></script>

    <meta name="viewport" content="width=device-width,initial-scale=1">

    <!-- BEGIN: CSS Assets-->

    <link rel="stylesheet" href="../../../dist/css/<?=$_Css;?>?time=<?=$time_log_assets;?>" />

    <link rel="stylesheet" href="../../../dist/css/app_style.css?time=<?=$time_log_assets;?>" />

    <!-- END: CSS Assets-->

    <script src="../../../dist/js/noback.js?time=<?=$time_log_assets;?>" type="text/javascript"></script>

    <!--Comienza plugins JTABLE--->

    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>

    <!--Termina plugins JTABLE--->

    <!---llamamos la libreria de tinymce--->

    <script defer src="../../../dist/tinymce/tinymce/main.js?time=<?=$time_log_assets;?>"></script>

    <link rel="stylesheet" href="../../../dist/tinymce/tinymce/estilos.css?time=<?=$time_log_assets;?>" />

    <script src="../../../dist/tinymce/tinymce/tinymce.min.js?time=<?=$time_log_assets;?>" referrerpolicy="origin"></script>

    <!---Terminamos de agregar editor tinymce--->



    <!---incluimos dependencias para el select con buscador-->

    <script src="https://code.jquery.com/jquery-3.7.1.js" integrity="sha256-eKhayi8LEQwp4NKxN+CfCh+3qOVUtJn3QNZ0TciWLP4=" crossorigin="anonymous"></script>

    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />

    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>

    <!--termina dependencias para el select con buscador--->

<?php



$action=!empty($_REQUEST['action'])?$_REQUEST['action']:'';

$Id_Usuarior=!empty($_REQUEST['Id_Usuarior'])?$_REQUEST['Id_Usuarior']:'';

$_ScrollTo=!empty($_REQUEST['_ScrollTo'])?$_REQUEST['_ScrollTo']:'';

$pagina=!empty($_REQUEST['pagina'])?$_REQUEST['pagina']:'';

$Id_Usuario='';

$Id_Fk_Login='';

$Usu_Img_Perfil='';

$Usu_Nombre='';

$Usu_Apaterno='';

$Usu_Amaterno='';

$Usu_Fecha_Nacimiento='';

$Id_Fk_Rol='';

$Titulo_Rol_Fk='';

$Usu_Correo='';

$Usu_Telefono='';

$Usu_Password='';

$Usu_Password_Encrypt='';

$Usu_Activo='';

$Usu_Cuenta_Verificada='';

$Descripcion='';

$Fecha_Registro='';

$Fecha_Modifico='';



switch ($action) {

    case 'editar':



        echo"<TITLE>Editar usuario</TITLE>";

        break;



    default:

        echo"<TITLE>Registrar usuario</TITLE>";

        break;

}



require_once(ROOT_CHARACTER_FIX);

$Obj_fix_characters = new fix_characters();

$_Id_Loginr=0;



//lee las variables del formulario.

if (!empty($_POST))

{

  //require_once($context_usuario.'odbconexion/config.php');

    require_once(ROOT_CONFIG);      

  $Odbj_conexion = new odbconexion;

    $conexion=$Odbj_conexion->openconection();

    $consulta="SELECT * FROM usuario_appquadrata WHERE Id_Usuarior='$Id_Usuarior' ORDER BY Id_Usuarior DESC";

    $Array_adapter_usuario=$conexion->query($consulta);

    $conexion->close();

    while($field_usuario=$Array_adapter_usuario->fetch_assoc())

    {

  $Id_Usuario=$field_usuario['Id_Usuario'];

   $Usu_Img_Perfil=$field_usuario['Usu_Img_Perfil'];

   $Usu_Nombre=$field_usuario['Usu_Nombre'];

   $Usu_Apaterno=$field_usuario['Usu_Apaterno'];

   $Usu_Amaterno=$field_usuario['Usu_Amaterno'];

   $Usu_Fecha_Nacimiento=$field_usuario['Usu_Fecha_Nacimiento'];

   $Id_Fk_Rol=$field_usuario['Id_Fk_Rol'];

   $Titulo_Rol_Fk=$field_usuario['Titulo_Rol_Fk'];

   $Usu_Correo=$field_usuario['Usu_Correo'];

   $Usu_Telefono=$field_usuario['Usu_Telefono'];

   $Usu_Password=$field_usuario['Usu_Password'];

   $Usu_Password_Encrypt=$field_usuario['Usu_Password_Encrypt'];

   $Usu_Activo=$field_usuario['Usu_Activo'];

   $Usu_Cuenta_Verificada=$field_usuario['Usu_Cuenta_Verificada'];

   $Descripcion=$field_usuario['Descripcion'];

   $Fecha_Registro=$field_usuario['Fecha_Registro'];

   $Fecha_Modifico=$field_usuario['Fecha_Modifico'];

   

  }



    $Odbj_conexion = new odbconexion;

    $conexion=$Odbj_conexion->openconection();

    $consulta="SELECT * FROM login_appquadrata WHERE Login_Correo='$Usu_Correo' AND Login_Telefono='$Usu_Telefono'";

    $Array_adapter_login=$conexion->query($consulta);

    $conexion->close();

    while($field_login=$Array_adapter_login->fetch_assoc())

    {

        $_Id_Loginr=$field_login['IdLoginr'];   

    }



}?>    

<?php  

    $arreglo_registers = array();

    $Odbj_conexion = new odbconexion;

    $conexion=$Odbj_conexion->openconection();

    $consulta="SELECT * FROM usuario_appquadrata WHERE Id_Fk_Rol!=1   ORDER BY Id_Usuarior ASC";

    $Array_adapter_usuario_registers=$conexion->query($consulta);

    $conexion->close();

    $rows_registers=$Array_adapter_usuario_registers->num_rows;

    $row_registers=0;

    while($field_usuario_register=$Array_adapter_usuario_registers->fetch_assoc())

    {

        $row_registers++;

        array_push($arreglo_registers, array("id" => $field_usuario_register['Id_Usuarior'], "numero" => $row_registers));

   

    }

?> 

<script language='JavaScript'> 

var statSend = false;

function checkSubmit() {

    if (!statSend) {

        statSend = true;

        return true;

    } else {

        alert('La Informaci\u00F3n ya se est\u00E1 enviando, por favor espere...');

        return false;

    }

}

</script> 

<style>

    ::-webkit-scrollbar {

        display: none;

    }

     .btn-navigation-registers{



      background: none;

      border: 0;

      color: inherit;

      /* cursor: default; */

      font: inherit;

      line-height: normal;

      overflow: visible;

      padding: 0;

        -webkit-user-select: none; /* for button */

        -webkit-appearance: button; /* for input */

        -moz-user-select: none;

        -ms-user-select: none;

    }



</style>

   

</head>



<body onload="noback();">

<center>

<!-- MODAL loadign -->

    <div id="loadingpage" style="position: fixed;

        top: 0px;

        left: 0px;

        width: 100%;

        height: 100%;

        z-index: 10000;

        background-color: rgba(0, 0, 0, 0.9);display: none">

    <div  class="loader" >

    <ul class="hexagon-container">

        <li class="hexagon hex_1"></li>

        <li class="hexagon hex_2"></li>

        <li class="hexagon hex_3"></li>

        <li class="hexagon hex_4"></li>

        <li class="hexagon hex_5"></li>

        <li class="hexagon hex_6"></li>

        <li class="hexagon hex_7"></li>

      </ul>

    </div>

        </div>  

    <!-- fin loading page -->



  <?php

                     

       

    //Comienza form del formulario

echo "<div class='intro-y box form-box'>";

    

    switch ($action) {

    case 'editar':

        echo "

            <div class='flex items-center p-5 border-b border-slate-200/60 dark:border-darkmode-400'>

                <h2 class='font-medium text-base mr-auto'>

                    EDITAR USUARIO

                </h2>";

            foreach ($arreglo_registers as $elemento) {

                    if ($elemento["id"] === $Id_Usuarior) {

                        $numeroEncontrado = $elemento["numero"];

                        break; // Detén el bucle una vez que se encuentre el elemento

                    }

                }

                echo "<p class='mr-3'>".$numeroEncontrado."/".$rows_registers."</p>";



                if($numeroEncontrado>1){

                    $registerPrev=$numeroEncontrado-1;

                    

                    foreach ($arreglo_registers as $elemento) {

                        if ($elemento["numero"] === $registerPrev) {

                            $idEncontradoPrev = $elemento["id"];

                            break; // Detén el bucle una vez que se encuentre el elemento

                        }

                    }

                    echo "<form action='./formulario.php' method='Post' onsubmit='loadingpage();'>

                        <input type='hidden' value='$idEncontradoPrev' name='Id_Usuarior'>

                        <input name='action' value='editar' type='hidden'>

                        <button type='submit' class='btn-navigation-registers'><svg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' class='lucide lucide-chevron-left'><path d='m15 18-6-6 6-6'/></svg></button>

                    </form>";

                }



                if($numeroEncontrado<$row_registers){

                    $registerNext=$numeroEncontrado+1;

                    

                    foreach ($arreglo_registers as $elemento) {

                        if ($elemento["numero"] === $registerNext) {

                            $idEncontradoNext = $elemento["id"];

                            break; // Detén el bucle una vez que se encuentre el elemento

                        }

                    }

                    echo "<form action='./formulario.php' method='Post' onsubmit='loadingpage();'>

                        <input type='hidden' value='$idEncontradoNext' name='Id_Usuarior'>

                        <input name='action' value='editar' type='hidden'>

                        <button type='submit' class='btn-navigation-registers'><svg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' class='lucide lucide-chevron-right'><path d='m9 18 6-6-6-6'/></svg></button>

                    </form>";

                }

        echo "</div>";

        break;

    

    default:

        echo"

            <div class='flex items-center p-5 border-b border-slate-200/60 dark:border-darkmode-400'>

                <h2 class='font-medium text-base mr-auto'>

                    REGISTRAR USUARIO

                </h2>

            </div>";

        break;

    }



    switch($_Rows_Columns){

        case 1:

        $cols_columns=12;

        break;

        case 2:

        $cols_columns=6;

        break;

        case 3:

        $cols_columns=4;

        break;

        case 4:

        $cols_columns=3;

        break;

        default:

        $cols_columns=12;

        break;



    }



    echo "<div class='p-5'>

            <form name='registrar' id='frm_usuario' onsubmit='validarFrm();' action='../bussines/guardar.php' method='Post' enctype='multipart/form-data'>      

            <div class='grid grid-cols-12 gap-x-5'>

                <div class='col-span-12 xl:col-span-12'>";

                    echo "<input type='hidden' name='Id_Usuarior' value='$Id_Usuarior'>";

                    echo "<input type='hidden' name='pagina' value='$pagina'>";

                    echo "<input type='hidden' name='_ScrollTo' value='$_ScrollTo'>";

                    echo "<input type='hidden' name='Titulo_Rol_Fk' id='Titulo_Rol_Fk' value='$Titulo_Rol_Fk'>";



                    echo "<div class='grid grid-cols-12 gap-x-5'>";

                                echo " 

                                <div class='mt-3 col-span-12 lg:col-span-$cols_columns xl:col-span-$cols_columns'>

                                    <label for='update-profile-form-7' class='form-label'>Rol de usuario: </label>";

                                    echo "<select name='Id_Fk_Rol' id='Id_Fk_Rol' class='form-control form-select '  onchange='asignarValor(this.options[this.selectedIndex].dataset.title);' required>";

                                        $Odbj_conexion = new odbconexion;

                                        $conexion=$Odbj_conexion->openconection();

                                        $consulta="SELECT * FROM rol_appquadrata";

                                        $Adapter_rol=$conexion->query($consulta);

                                        $rows_roles=$Adapter_rol->num_rows;

                                        $conexion->close();

                                        switch ($action) {

                                            case 'editar':

                                                while($Field_rol=$Adapter_rol->fetch_assoc())

                                                {   

                                                    $selected_rol="";

                                                    if($Id_Fk_Rol==$Field_rol['Id_Rol']){

                                                        $selected_rol="selected";

                                                    }

                                                    echo "<option value='{$Field_rol['Id_Rol']}' data-title='{$Field_rol['Titulo_Rol']}' {$selected_rol}>{$Field_rol['Titulo_Rol']}</option>";

                                                }

                                            break;

                                            default:

                                                $cont=0;

                                                while($Field_rol=$Adapter_rol->fetch_assoc())

                                                {   $cont++;

                                                    $selected_rol="";

                                                    if($rows_roles>2 && $cont==3){

                                                        $selected_rol="selected";

                                                    }else if($rows_roles==2 && $cont==2){

                                                        $selected_rol="selected";

                                                    }

                                                    echo "<option value='{$Field_rol['Id_Rol']}' data-title='{$Field_rol['Titulo_Rol']}' {$selected_rol}>{$Field_rol['Titulo_Rol']}</option>";

                                                }

                                            break;

                                        } 

                                    echo "</select>";



                                echo"

                                </div>";

                                //comienza la foto

                                 echo " 

                                <div class='mt-3 col-span-12 lg:col-span-$cols_columns xl:col-span-$cols_columns media-center'>

                                    <label for='update-profile-form-7' class='form-label'>Foto: </label>";

                                        if ($Usu_Img_Perfil=='') {

                                            echo"<img id='blahUsu_Img_Perfil' src='../../../dist/images/upload.gif' style='border-style: inset;width:140px;height:140px;border-radius:150px;padding:7px;margin:auto;' />";

                                        }else{

                                            $Usu_Img_Perfil="../../../".$Usu_Img_Perfil;

                                            $time=time();

                                            $time=filectime($Usu_Img_Perfil);

                                            echo"<input type='hidden' name='Usu_Img_Perfil' value='$Usu_Img_Perfil'>";

                                            echo"<img id='blahUsu_Img_Perfil' src='$Usu_Img_Perfil?dummy=$time' alt='Empresa' style='border-style: inset;width:140px;height:140px;border-radius:150px;padding:7px;margin:auto;' />";

                                        }

                            /*echo "

                                <br>

                                <input class='btn btn-primary' name='Foto_file'  capture='camera'  accept='image/x-png,image/gif,image/jpeg' type='file' onchange=\"document.getElementById('blahFoto').src = window.URL.createObjectURL(this.files[0]);\" style='max-width:80%;'/>";*/

                             echo "<input type='file' name='usu_img_perfil_file' id='Usu_Img_Perfil_file' class='inputfile inputfile-2' accept='image/x-png,image/gif,image/jpeg' onchange=\"document.getElementById('blahUsu_Img_Perfil').src = window.URL.createObjectURL(this.files[0]);\"  style='max-width:80%;'/>

                                  <label for='Usu_Img_Perfil_file'><svg xmlns='http://www.w3.org/2000/svg' class='iborrainputfile' width='20' height='17' viewBox='0 0 20 17'><path d='M10 0l-5.2 4.9h3.3v5.1h3.8v-5.1h3.3l-5.2-4.9zm9.3 11.5l-3.2-2.1h-2l3.4 2.6h-3.5c-.1 0-.2.1-.2.1l-.8 2.3h-6l-.8-2.2c-.1-.1-.1-.2-.2-.2h-3.6l3.4-2.6h-2l-3.2 2.1c-.4.3-.7 1-.6 1.5l.6 3.1c.1.5.7.9 1.2.9h16.3c.6 0 1.1-.4 1.3-.9l.6-3.1c.1-.5-.2-1.2-.7-1.5z'></path></svg><span class='iborrainputfile'>Seleccionar archivo</span>

                                  </label>";

                            echo "</div>";

                                //termina la foto

                               

                                 

                                 echo " 

                                <div class='mt-3 col-span-12 lg:col-span-$cols_columns xl:col-span-$cols_columns'>

                                    <label for='update-profile-form-7' class='form-label'>Apellido paterno: </label>

                                    <input id='Usu_Apaterno' name='Usu_Apaterno' value='$Usu_Apaterno' type='text' class='form-control' placeholder='Apellido paterno'>

                                </div>";

                                 echo " 

                                <div class='mt-3 col-span-12 lg:col-span-$cols_columns xl:col-span-$cols_columns'>

                                    <label for='update-profile-form-7' class='form-label'>Apellido materno: </label>

                                    <input id='Usu_Amaterno' name='Usu_Amaterno' value='$Usu_Amaterno' type='text' class='form-control' placeholder='Apellido materno'>

                                </div>";

                                echo " 

                                <div class='mt-3 col-span-12 lg:col-span-$cols_columns xl:col-span-$cols_columns'>

                                    <label for='update-profile-form-7' class='form-label'>Nombre: </label>

                                    <input id='Usu_Nombre' name='Usu_Nombre' value='$Usu_Nombre' type='text' class='form-control' placeholder='Nombre' required>

                                </div>";

                                 echo " 

                                <div class='mt-3 col-span-12 lg:col-span-$cols_columns xl:col-span-$cols_columns'>

                                    <label for='update-profile-form-7' class='form-label'>Correo: </label>

                                    <input id='Usu_Correo' name='Usu_Correo' value='$Usu_Correo' type='email' class='form-control' onblur='validarCorreo({$_Id_Loginr},this.value);' placeholder='Correo' required>

                                    <p id='required_correo_user' style='color:red;display: none;'></p>

                                </div>";

                                 echo " 

                                <div class='mt-3 col-span-12 lg:col-span-$cols_columns xl:col-span-$cols_columns'>

                                    <label for='update-profile-form-7' class='form-label'>Teléfono: </label>

                                    <input id='Usu_Telefono' onkeypress='return validarNumero(event);' name='Usu_Telefono' value='$Usu_Telefono' type='tel' class='form-control' onblur='validarTelefono({$_Id_Loginr},this.value);' minlength=\"10\" maxlength=\"10\" placeholder='Teléfono' required><p id='required_telefono_user' style='color:red;display: none;'></p>

                                </div>";

                        switch ($action) {

                            case 'editar':

                                 echo " 

                                <div class='mt-3 col-span-12 lg:col-span-$cols_columns xl:col-span-$cols_columns'>

                                    <label for='update-profile-form-7' class='form-label'>Contraseña: </label>

                                    <input id='Usu_Password' name='Usu_Password' value='' type='password' class='form-control' placeholder='Contraseña'>

                                </div>";

                                echo " 

                                <div class='mt-3 col-span-12 lg:col-span-$cols_columns xl:col-span-$cols_columns'>

                                    <label for='update-profile-form-7' class='form-label'>Confirmar contraseña: </label>

                                    <input id='Usu_Password_Confirm' name='Usu_Password_Confirm' value='' type='password' class='form-control' placeholder='Confirmar contraseña'>

                                </div>";

                            break;

            

                            default:

                                echo " 

                                <div class='mt-3 col-span-12 lg:col-span-$cols_columns xl:col-span-$cols_columns'>

                                    <label for='update-profile-form-7' class='form-label'>Contraseña: </label>

                                    <input id='Usu_Password' name='Usu_Password' value='' type='password' class='form-control' placeholder='Contraseña' required>

                                </div>";

                                echo " 

                                <div class='mt-3 col-span-12 lg:col-span-$cols_columns xl:col-span-$cols_columns'>

                                    <label for='update-profile-form-7' class='form-label'>Confirmar contraseña: </label>

                                    <input id='Usu_Password_Confirm' name='Usu_Password_Confirm' value='' type='password' class='form-control' placeholder='Confirmar contraseña' required>

                                </div>";

                            break;

                        }   

                echo "</div>";                                   

echo "              

                </div>

            </div>";

         switch ($action) {

            case 'editar':



          echo "<div class='flex justify-end mt-4'>

                    <input type='hidden' name='action' id='action' value='editar'>

                    <a href='./?pagina=1&_Id_Registro=$Id_Usuarior&_ScrollTo=0' class='btn btn-danger w-20 mr-auto'> Cancelar</a>

                    <button type='submit' class='btn btn-primary flex items-center'>Guardar</button>

                    <!--<button type='button' onclick='validarFrm();' class='btn btn-primary flex items-center'>Guardar</button>-->

                </div>";

            break;

            case 'duplicar':

        echo   "<div class='flex justify-end mt-4'>

                    <input type='hidden' name='action' id='action' value='duplicar'>

                    <a href='./?pagina=1&_Id_Registro=$Id_Usuarior&_ScrollTo=0' class='btn btn-danger w-20 mr-auto'> Cancelar</a>

                    <button type='submit' class='btn btn-primary flex items-center'>Guardar</button>

                </div>";

            break;

            default:

        echo   "<div class='flex justify-end mt-4'>

                    <input type='hidden' name='action' id='action' value='registrar'>

                    <a href='./?pagina=1&_Id_Registro=$Id_Usuarior&_ScrollTo=0' class='btn btn-danger w-20 mr-auto'> Cancelar</a>

                    <button type='submit' class='btn btn-primary flex items-center'>Guardar</button>

                </div>";

            break;

        }                

            

echo "  </form>

        </div>

    </div>";





    //Termina form del formulario

?>



<!-- Incluir SweetAlert2 JS -->

<script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

<script type="text/javascript">

function validarFrm(){

    var pass1,pass2,action;

    action=$("#action").val();

    pass1=$("#Usu_Password").val();

    pass2=$("#Usu_Password_Confirm").val();

    if(action=='registrar'){

        

        if($("#Usu_Telefono").val()==''){

            Swal.fire({

                icon: 'warning',

                title: '',

                text: 'Ingresa el número celular',

                confirmButtonText: 'Aceptar',

                confirmButtonColor: '#3085d6'

            });

            event.preventDefault();

     }else if($("#Usu_Correo").val()==''){

            Swal.fire({

                icon: 'warning',

                title: '',

                text: 'Ingresa el correo',

                confirmButtonText: 'Aceptar',

                confirmButtonColor: '#3085d6'

            });

            event.preventDefault();

     }else if($("#required_telefono_user").text()){

            Swal.fire({

                icon: 'warning',

                title: '',

                text: 'El número celular ingresado, se encuentra asociadoa una cuenta, intente con otro número.',

                confirmButtonText: 'Aceptar',

                confirmButtonColor: '#3085d6'

            });

            event.preventDefault();

     }else if($("#required_correo_user").text()){

            Swal.fire({

                icon: 'warning',

                title: '',

                text: 'La dirección de correo electrónico ingresado, se encuentra asociado a una cuenta, intente con otro correo',

                confirmButtonText: 'Aceptar',

                confirmButtonColor: '#3085d6'

            });

            event.preventDefault();

     }else if(pass1==''){

            //alert("Ingrese la constraseña");

             Swal.fire({

                icon: 'warning',

                title: '',

                text: 'Ingrese la constraseña',

                confirmButtonText: 'Aceptar',

                confirmButtonColor: '#3085d6'

            });

             event.preventDefault();

        }else if(pass1!='' && pass1!=pass2){

            //alert("Verifique sus constraeñas");

            Swal.fire({

                icon: 'warning',

                title: '',

                text: 'Verifique sus constraeñas',

                confirmButtonText: 'Aceptar',

                confirmButtonColor: '#3085d6'

            });

            event.preventDefault();

        }else{

            loadingpage();

            return true;

            //document.getElementById("frm_usuario").submit();

        }

    }else{

        if($("#Usu_Telefono").val()==''){

            Swal.fire({

                icon: 'warning',

                title: '',

                text: 'Ingresa el número celular',

                confirmButtonText: 'Aceptar',

                confirmButtonColor: '#3085d6'

            });

            event.preventDefault();

     }else if($("#Usu_Correo").val()==''){

            Swal.fire({

                icon: 'warning',

                title: '',

                text: 'Ingresa el correo',

                confirmButtonText: 'Aceptar',

                confirmButtonColor: '#3085d6'

            });

            event.preventDefault();

     }else if($("#required_telefono_user").text()){

            Swal.fire({

                icon: 'warning',

                title: '',

                text: 'El número celular ingresado, se encuentra asociadoa una cuenta, intente con otro número.',

                confirmButtonText: 'Aceptar',

                confirmButtonColor: '#3085d6'

            });

            event.preventDefault();

     }else if($("#required_correo_user").text()){

            Swal.fire({

                icon: 'warning',

                title: '',

                text: 'La dirección de correo electrónico ingresado, se encuentra asociado a una cuenta, intente con otro correo',

                confirmButtonText: 'Aceptar',

                confirmButtonColor: '#3085d6'

            });

            event.preventDefault();

     }else if(pass1!='' && pass1!=pass2){

            Swal.fire({

                icon: 'warning',

                title: '',

                text: 'Verifique sus constraeñas',

                confirmButtonText: 'Aceptar',

                confirmButtonColor: '#3085d6'

            });

            event.preventDefault();

        }else{

            loadingpage();

            return true;

            //document.getElementById("frm_usuario").submit();

        }

    }

}

</script>

    <script type="text/javascript">

  window.onload=function(){

    parent.document.getElementById('loadingpage').style.display='none';

  }



  function loadingpage(){

      parent.document.getElementById('loadingpage').style.display='block';                     

   }

</script>

<script>

    function validarNumero(event) {

        // Obtener la tecla presionada

        var tecla = event.which || event.keyCode;



        // Permitir solo números y ciertas teclas especiales (borrar, flechas, etc.)

        if ((tecla >= 48 && tecla <= 57) || tecla == 8 || (tecla >= 37 && tecla <= 40)) {

            return true; // Permitir la entrada

        } else {

            return false; // Bloquear la entrada

        }

    }

</script>



<script type="text/javascript">

    function validarTelefono(id,value){



        if(value!=''){

            $.ajax({

                url: 'ajax.php', // Ruta del archivo PHP que realizará la validación del correo

                method: 'POST',

                data: {action:'validar-telefono', telefono: value,id:id }, // Datos que se enviarán al servidor

                success: function(response) {

                    if(response>0){

                        document.getElementById('required_telefono_user').style.display='block';

                        document.getElementById('required_telefono_user').innerText='El teléfono ingresado, se ecuentra asociado a una cuenta!';

                    }else{

                        document.getElementById('required_telefono_user').style.display='none';

                        document.getElementById('required_telefono_user').innerText='';

                    }

                }

            });

        }

    }



    function validarCorreo(id,value){

        if(value!=''){

            $.ajax({

                url: 'ajax.php', // Ruta del archivo PHP que realizará la validación del correo

                method: 'POST',

                data: { action:'validar-correo',correo: value,id:id }, // Datos que se enviarán al servidor

                success: function(response) {

                    if(response>0){

                        document.getElementById('required_correo_user').style.display='block';

                        document.getElementById('required_correo_user').innerText='La dirección de correo ingresada, se ecuentra asociada a una cuenta!';

                    }else{

                        document.getElementById('required_correo_user').style.display='none';

                        document.getElementById('required_correo_user').innerText='';

                    }

                }

            });

        }

    }

</script>  

<script>

    function asignarValor(valor){

        document.getElementById('Titulo_Rol_Fk').value=valor;

    }

</script>

</center>

</body>

</html>